> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get diconfigurations history

> Get the history of an object



## OpenAPI

````yaml /schema.json get /di/configurations/{type}/{identifier}/history
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/configurations/{type}/{identifier}/history:
    get:
      tags:
        - Di
      description: Get the history of an object
      operationId: getConfigurationHistory
      parameters:
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: type
          in: path
          description: Type identifier
          required: true
          schema:
            type: string
        - name: identifier
          in: path
          description: Configuration identifier
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Restored an object configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiConfigurationHistoryListResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiConfigurationHistoryListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/DiConfigurationHistoryList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    DiConfigurationHistoryList:
      type: array
      items:
        $ref: '#/components/schemas/DiConfigurationHistory'
    DiConfigurationHistory:
      type: object
      properties:
        type:
          type: string
          title: Type
          description: Type
        identifier:
          type: string
          title: Identifier
          description: Identifier
          pattern: ^[a-z0-9-]+$
          maxLength: 255
        ulid:
          type: string
          title: ULID
          description: ULID
          pattern: >-
            ^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$
          maxLength: 36
        name:
          type: string
          title: Name
          description: Name
          maxLength: 255
        editor:
          type: string
          title: Editor
          description: Editor
          maxLength: 255
        description:
          type: string
          title: Description
          description: Description
          maxLength: 64000
        object:
          type: object
        createdAt:
          type: string
          title: Created at
          format: date-time
          description: Creation date
          ui:
            ui:widget: hidden
        disabled:
          type: boolean
          title: Disabled
          description: Disabled
          ui:
            ui:widget: disable
        label:
          title: Labels
          type: array
          items:
            type: string
          ui:
            ui:widget: hidden
      required:
        - type
        - identifier
        - name

````